# Interface PopupHelper

All Known Implementing Classes:
  `AwtPopupHelper, JSPopupHelper`

public interface PopupHelper

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose(SC popupMenu)`
`Object`
`getButtonGroup()`
`SC`
`getCheckBox(String name)`
`int`
`getItemType(SC m)`
`SC`
`getMenu(String name)`
`SC`
`getMenuItem(String name)`
`SC`
`getRadio(String name)`
`SC`
`getSwingComponent(Object component)`
`void`
`menuAddButtonGroup(SC item)`
`void`
`menuClearListeners(SC c)`
`SC`
`menuCreatePopup(String title, Object html5Applet)`
`void`
`menuInsertSubMenu(SC menu, SC subMenu, int index)`

## Method Details

### menuCreatePopup

SC menuCreatePopup(String title, Object html5Applet)

### getRadio

SC getRadio(String name)

### getCheckBox

SC getCheckBox(String name)

### getMenu

SC getMenu(String name)

### getMenuItem

SC getMenuItem(String name)

### menuAddButtonGroup

void menuAddButtonGroup(SC item)

### getButtonGroup

Object getButtonGroup()

### menuInsertSubMenu

void menuInsertSubMenu(SC menu, SC subMenu, int index)

### getItemType

int getItemType(SC m)

### getSwingComponent

SC getSwingComponent(Object component)

### menuClearListeners

void menuClearListeners(SC c)

### dispose

void dispose(SC popupMenu)